services:
  api:
    container_name: onepurze_api_main
    build:
      context: .
      dockerfile: Dockerfile
    restart: always
    env_file:
      - ./.env
    environment:
      VIRTUAL_HOST: api.onepurze.com
      LETSENCRYPT_HOST: api.onepurze.com
      LETSENCRYPT_EMAIL: bakodavid24@gmail.com
    networks:
      - web
    #testing ci/cd pull requests
networks:
  web:
    external: true
